/* Locks
   Copyright (C) 2000 Free Software Foundation, Inc.
   Written by Stephane Carrez (stcarrez@worldnet.fr)	

This file is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

In addition to the permissions in the GNU General Public License, the
Free Software Foundation gives you unlimited permission to link the
compiled version of this file with other programs, and to distribute
those programs without any restriction coming from the use of this
file.  (The General Public License restrictions do apply in other
respects; for example, they cover modification of the file, and
distribution when not linked into another program.)

This file is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

#ifndef _M6811_BOARD_H
#define _M6811_BOARD_H

#include <sys/ports.h>

#define BIT_0 (1<<0)
#define BIT_1 (1<<1)
#define BIT_2 (1<<2)
#define BIT_3 (1<<3)
#define BIT_4 (1<<4)
#define BIT_5 (1<<5)
#define BIT_6 (1<<6)
#define BIT_7 (1<<7)

/* Port D */
#define BOARD_RX     (BIT_0)
#define BOARD_TX     (BIT_1)
#define BOARD_LCD_0  (BIT_2)
#define BOARD_LCD_1  (BIT_3)
#define BOARD_LCD_2  (BIT_4)
#define BOARD_LCD_3  (BIT_5)

/* Port A */
#define BOARD_KEY_0   (BIT_0)
#define BOARD_KEY_1   (BIT_1)
#define BOARD_KEY_2   (BIT_2)
#define BOARD_ROM_DIS (BIT_3)
#define BOARD_LCD_4   (BIT_4)
#define BOARD_LCD_5   (BIT_5)
#define BOARD_LCD_6   (BIT_6)
#define BOARD_KEY_3   (BIT_7)

/* Port E */
#define BOARD_PEB_0   (BIT_0)
#define BOARD_PEB_1   (BIT_1)
#define BOARD_PEB_2   (BIT_2)
#define BOARD_PEB_3   (BIT_3)
#define BOARD_PEB_4   (BIT_4)
#define BOARD_PEB_5   (BIT_5)
#define BOARD_PEB_6   (BIT_6)
#define BOARD_PEB_7   (BIT_7)

#define LCD_BIT_7 (BIT_0)
#define LCD_BIT_6 (BIT_6)
#define LCD_BIT_5 (BIT_1)
#define LCD_BIT_4 (BIT_4)
#define LCD_E     (BIT_2)
#define LCD_RS    (BIT_3)

#endif
