/* date-panel.h -- Date and Time Management Panels
   Copyright 2001 Free Software Foundation, Inc.
   Written by Stephane Carrez (stcarrez@worldnet.fr)

This file is part of EBCS.

EBCS is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

EBCS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with EBCS; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

#ifndef _EBCS_DATE_PANEL_H
#define _EBCS_DATE_PANEL_H

#include <gel/panel.h>
#include <time.h>

#ifdef __cplusplus

#endif

/*! @defgroup datePanel Date and Time Panel Management

 */
/*@{*/

extern struct panel ebcs_date_panel;

extern void date_panel_initialize (void);

extern void date_putday (struct panel *p, lcd_line_t line,
                         lcd_col_t col, struct tm *t);

extern void date_puttime (struct panel *p, lcd_line_t line,
                          lcd_col_t col, struct tm *t);

/*@}*/

#ifdef __cplusplus
extern "C" {};
#endif
#endif
