/* watchdog.h -- Watchdog Management
   Copyright 2001 Free Software Foundation, Inc.
   Written by Stephane Carrez (stcarrez@worldnet.fr)

This file is part of EBCS.

EBCS is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

EBCS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with EBCS; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

#ifndef _EBCS_WATCHDOG_H
#define _EBCS_WATCHDOG_H

#ifdef __cplusplus

#endif

/*! @defgroup mainPanel Main Panel Management

   The watchdog works at two levels:

    - A timer is used to post a watch dog event on a regular basis.
      The event is posted from realtime interrupt.  Posting this event
      ensures that interrupts are processed correctly.

    - An event callback is attached to the event and it is responsible
      for resetting the COP.  The event callback is called by the event
      loop while waiting for events.  The activation of the callback
      ensures that the event loop is alive and works.

 */
/*@{*/

#define WATCHDOG_TIMEOUT (500)

/*! Initialize the watchdog.

 */
extern void watchdog_initialize (void);

/*@}*/

#ifdef __cplusplus
extern "C" {};
#endif
#endif
