/* remote.c -- Send remote commands to the LCD/Button panel
   Copyright 2000, 2001, 2002 Free Software Foundation, Inc.
   Written by Stephane Carrez (stcarrez@worldnet.fr)

This file is part of GEL.

GEL is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GEL is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GEL; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

#include <sys/param.h>
#include <sys/locks.h>
#include <sys/ports.h>
#include <sys/sio.h>
#include <sys/spi.h>
#include <ebcs/ebcs.h>
#include <ebcs/remote.h>
#include <time.h>
#include <stdio.h>

#if 1
#define spi_putc _spi_putc

static void
send_bit (unsigned char val)
{
  unsigned j;

  /*serial_send (val == 0 ? '0' : '1');*/
  
  _io_ports[M6811_PORTD] |= (1 << 4);
  for (j = 0; j < 4; j++)
    _io_ports[M6811_PORTD];
  if (val)
    {
      _io_ports[M6811_PORTD] |= (1 << 3);
      /* printf ("D = 1 (%lx)", 1L);*/
    }
  else
    {
      _io_ports[M6811_PORTD] &= ~(1 << 3);
      /*printf ("D = 0 (%lx)", 0L);*/
    }

  /*printf ("D = %ld C = 1 -> ", val ? 1L : 0L);*/
  /*  udelay (1000000);*/
  for (j = 0; j < 10; j++)
    _io_ports[M6811_PORTD];
  _io_ports[M6811_PORTD] &= ~(1 << 4);

  /*printf ("C = %ld\n", 0L);*/
  /*  udelay (1000000);*/
  for (j = 0; j < 10; j++)
    _io_ports[M6811_PORTD];

  _io_ports[M6811_PORTD] |= (1 << 4);

  for (j = 0; j < 2; j++)
    _io_ports[M6811_PORTD];
}

static void
_spi_putc (unsigned char val)
{
  unsigned i;

  for (i = 0x80; i != 0; i >>= 1)
    {
      send_bit (val & i);
    }
}
#endif /* NO_SPI */

void
remote_putc (unsigned char c)
{
  /*  printf ("Remote send 0x%lx\n", (unsigned long) c ^ 0x0ff);*/
  _spi_putc (c);
}

void
remote_initialize (void)
{
#if 0
  /* SCz: ???? Setting the SPE puts the SPI in a bad state
     and transmission does not work */
#if 0
  /*  _io_ports[M6811_SPCR] = M6811_MSTR | M6811_CPOL | 3  | M6811_SPE*/;*/
#endif
  spi_initialize (M6811_MSTR | M6811_CPOL | M6811_CPHA | 3);
  /* Enable SCK and MOSI outputs.  */
#endif
  _io_ports[M6811_SPCR] = 0;
  _io_ports[M6811_DDRD] = BOARD_LCD_1 | BOARD_LCD_2 | BOARD_LCD_3;

  /* Force a clear of shift register.  */
  remote_putc (0xff);
  remote_putc (0xff);
  /*  remote_putc (0);*/
  /*  udelay (20000000);*/
}

